      <IfModule mod_rewrite.c>
                RewriteEngine On
                RewriteCond %{REQUEST_METHOD} ^TRACE
                RewriteRule .* - [F]


                RewriteRule ^/e4D/(.*) http://localhost:8180/e4D/$1 [P,L]
                RewriteRule ^/geoserver/(.*) http://localhost:8180/geoserver/$1 [P,L]
                RewriteRule ^/tpp/(.*) http://localhost:8180/tpp/$1 [P,L]
                RewriteRule ^/m/(.*) http://localhost:8080/$1 [P,L]

        </IfModule>
